Subject: bug#2967: smart quotes in .emacs

From: Glenn Morris <[email-masked]>
Date: Fri, 10 Aug 2012 15:59:01 -0400

Stefan Monnier wrote:

>> I was troubleshooting a friend's .emacs issues with the help of some
>> internet assistance.  When I copy/pasted people's suggested .emacs
>> entries, some smart quotes got into the file, causing error messages.
>
> Please explain what you mean by "smart quotes" and describe the error
> messages you got (and when you got them, and if they seemed to have any
> actual effect).

I assume the OP means something like:

(set 'foo t)

where the quote character is actually U+2019 "RIGHT SINGLE QUOTATION MARK"
rather than a plain old-ASCII apostrophe.

This leads to errors like:

  Symbol's value as variable is void: 'foo

Recent example:

http://lists.gnu.org/archive/html/help-gnu-emacs/2012-08/msg00117.html